import request from '@/utils/request'

// 查询变更记录信息列表
export function listInformation(query) {
  return request({
    url: '/crmChangeRecordInformation/findByPage',
    method: 'get',
    params: query
  })
}

// 查询变更记录信息详细
export function getInformation(id) {
  return request({
    url: '/basicData/information/' + id,
    method: 'get'
  })
}

// 新增变更记录信息
export function addInformation(data) {
  return request({
    url: '/basicData/information',
    method: 'post',
    data: data
  })
}

// 修改变更记录信息
export function updateInformation(data) {
  return request({
    url: '/basicData/information',
    method: 'put',
    data: data
  })
}

// 删除变更记录信息
export function delInformation(id) {
  return request({
    url: '/crmChangeRecordInformation/deleteAll',
    method: 'delete'
  })
}
